# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-spawn"
  s.version = "1.8.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2016-03-10"
  s.description = "The Sensu spawn process library"
  s.email = ["portertech@gmail.com"]
  s.files = [".gitignore", ".travis.yml", "CHANGELOG.md", "Gemfile", "LICENSE.txt", "README.md", "Rakefile", "lib/sensu/spawn.rb", "sensu-spawn.gemspec", "spec/assets/output_1MB", "spec/helpers.rb", "spec/spawn_spec.rb"]
  s.homepage = "https://github.com/sensu/sensu-spawn"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14"
  s.summary = "The Sensu spawn process library"
  s.test_files = ["spec/assets/output_1MB", "spec/helpers.rb", "spec/spawn_spec.rb"]

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_runtime_dependency(%q<em-worker>, ["= 0.0.2"])
      s.add_runtime_dependency(%q<childprocess>, ["= 0.5.8"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, ["= 10.5.0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<em-worker>, ["= 0.0.2"])
      s.add_dependency(%q<childprocess>, ["= 0.5.8"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, ["= 10.5.0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<em-worker>, ["= 0.0.2"])
    s.add_dependency(%q<childprocess>, ["= 0.5.8"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, ["= 10.5.0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end

